Xdccdownloader solo per Ubuntu?? [RISOLTO]

Problemi con l'installazione di pacchetti

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 14/10/2014, 13:57

Ho esposto la problematica allo sviluppatore del programma con relativa risposta..
luca il ottobre 14, 2014 alle 10:40 am scrive:

Salve, ho una debian 7 64 bit e non sono riuscito in alcun modo a far partire il programma.Attualmente sto chiedendo aiuto presso il forum di debianizzati.org, qui puoi trovare la discussione: viewtopic.php?f=5&t=49959&p=185967#p185967 mi domandavo se eri interessato a compilare una versione per debian oppure se puoi intervenire per darci un aiuto.grazie

playxz il ottobre 14, 2014 alle 11:28 am scrive:

Dipende sicuramente dalla versione della libreria libc che hai. Prossimamente ricompilerà per le altre versioni di libc. Saluti.

Quindi come posso fare per aggiornare la mia libreria libc senza passare in testing?
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 14/10/2014, 21:00

Tanto per provare ho installato le librerie a 32 bit suggerite dall'autore, per vedere se potessi risolvere, come consigliato da mirko.pagliai le posso rimuovere...ma nulla!..non funziona..allora passo alla rimozione sostituendo install con remove ed ecco il risultato:
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 14/10/2014, 21:01

Codice: Seleziona tutto
luca@luca-AOD255:~/Scaricati$ sudo apt-get remove libxtst6:i386 libXext6:i386 libxi6:i386 libncurses5:i386 libxt6:i386 libxpm4:i386 libxmu6:i386 libxp6:i386 zlib1g:i386
[sudo] password for luca:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libaacplus2:i386 libasound2:i386 libasyncns0:i386 libavahi-client3:i386
  libavahi-common-data:i386 libavahi-common3:i386 libavutil51:i386
  libcap2:i386 libcrystalhd3:i386 libdbus-1-3:i386 libdirac-encoder0:i386
  libexpat1:i386 libfaac0:i386 libffi5:i386 libflac8:i386 libgcrypt11:i386
  libgpg-error0:i386 libgpm2:i386 libgsm1:i386 libgssapi-krb5-2:i386
  libice6:i386 libjack-jackd2-0:i386 libjpeg8:i386 libjson0:i386
  libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386
  liblcms1:i386 libmp3lame0:i386 libogg0:i386 libopencore-amrnb0:i386
  libopencore-amrwb0:i386 libopenjpeg2:i386 liborc-0.4-0:i386 libp11-kit0:i386
  libpcre3:i386 libsamplerate0:i386 libschroedinger-1.0-0:i386 libsm6:i386
  libsndfile1:i386 libspeex1:i386 libspeexdsp1:i386 libsqlite3-0:i386
  libstdc++6:i386 libtasn1-3:i386 libtheora0:i386 libva1:i386
  libvo-aacenc0:i386 libvo-amrwbenc0:i386 libvorbis0a:i386 libvorbisenc2:i386
  libvpx1:i386 libwrap0:i386 libx11-6:i386 libx11-xcb1:i386 libx264-123:i386
  libx264-124:i386 libxau6:i386 libxcb1:i386 libxdmcp6:i386 libxrender1:i386
  libxvidcore4:i386
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno inoltre installati:
  libx264-123:i386
I seguenti pacchetti saranno RIMOSSI:
  dvbcut libasound2-plugins:i386 libaudio2:i386 libavcodec53:i386
  libcups2:i386 libfontconfig1:i386 libfreetype6:i386 libglib2.0-0:i386
  libgnutls26:i386 libgstreamer-plugins-base0.10-0:i386
  libgstreamer0.10-0:i386 libmng1:i386 libncurses5:i386 libpng12-0:i386
  libpulse0:i386 libqt4-dbus:i386 libqt4-network:i386 libqt4-xml:i386
  libqtcore4:i386 libqtdbus4:i386 libqtgui4:i386 libqtwebkit4:i386
  libsox-fmt-all libsox-fmt-ffmpeg libssl1.0.0:i386 libtiff4:i386
  libxext6:i386 libxi6:i386 libxml2:i386 libxmu6:i386 libxp6:i386 libxpm4:i386
  libxss1:i386 libxt6:i386 libxtst6:i386 libxv1:i386 skype:i386 zlib1g:i386
I seguenti pacchetti NUOVI saranno installati:
  libx264-123:i386
0 aggiornati, 1 installati, 38 da rimuovere e 0 non aggiornati.
È necessario scaricare 823 kB di archivi.
Dopo quest'operazione, verranno liberati 136 MB di spazio su disco.
Continuare [S/n]? s
Scaricamento di:1 http://ftp.it.debian.org/debian/ stable/main libx264-123 i386 2:0.123.2189+git35cf912-1 [823 kB]
Recuperati 823 kB in 0s (903 kB/s)   
(Lettura del database... 155672 file e directory attualmente installati.)
Rimozione di dvbcut...
Rimozione di skype...
Rimozione di libasound2-plugins:i386...
Rimozione di libqtwebkit4:i386...
Rimozione di libqtgui4:i386...
Rimozione di libaudio2:i386...
Rimozione di libavcodec53:i386...
Rimozione di libcups2:i386...
Rimozione di libfontconfig1:i386...
Rimozione di libfreetype6:i386...
Rimozione di libqt4-network:i386...
Rimozione di libqt4-dbus:i386...
Rimozione di libqtdbus4:i386...
Rimozione di libqt4-xml:i386...
Rimozione di libqtcore4:i386...
Rimozione di libgstreamer-plugins-base0.10-0:i386...
Rimozione di libgstreamer0.10-0:i386...
Rimozione di libglib2.0-0:i386...
Rimozione di libgnutls26:i386...
Rimozione di libmng1:i386...
Rimozione di libncurses5:i386...
Rimozione di libpng12-0:i386...
Rimozione di libpulse0:i386...
Rimozione di libsox-fmt-all...
Rimozione di libsox-fmt-ffmpeg...
Rimozione di libssl1.0.0:i386...
Rimozione di libtiff4:i386...
Rimozione di libxv1:i386...
Rimozione di libxtst6:i386...
Rimozione di libxss1:i386...
Rimozione di libxp6:i386...
Rimozione di libxmu6:i386...
Rimozione di libxi6:i386...
Rimozione di libxext6:i386...
Rimozione di libxml2:i386...
Rimozione di libxpm4:i386...
Rimozione di libxt6:i386...
Rimozione di zlib1g:i386...
Elaborazione dei trigger per menu...
Elaborazione dei trigger per man-db...
Elaborazione dei trigger per shared-mime-info...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Elaborazione dei trigger per desktop-file-utils...
Elaborazione dei trigger per gnome-menus...
Elaborazione dei trigger per hicolor-icon-theme...
Elaborazione dei trigger per libglib2.0-0:amd64...
Selezionato il pacchetto libx264-123:i386 non precedentemente selezionato.
(Lettura del database... 155281 file e directory attualmente installati.)
Estrazione di libx264-123:i386 (da .../libx264-123_2%3a0.123.2189+git35cf912-1_i386.deb)...
Configurazione di libx264-123:i386 (2:0.123.2189+git35cf912-1)...
luca@luca-AOD255:~/Scaricati$
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 14/10/2014, 21:02

praticamente mi ha rimosso due programmi: Skype e dvbcut...e spero nient'altro!
come mai?
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda Aki » 14/10/2014, 21:15

luka ha scritto: come posso fare per aggiornare la mia libreria libc senza passare in testing?

Non puoi: la libreria libc6 è alla base del funzionamento di tutti i programmi è se l'aggiornassi con una versione incompatibile con i programmi che la utilizzando quasi certamente ti troveresti con un sistema inutilizzabile. Dal momento che il codice sorgente del programma è - per quanto al momento dato di sapere - non pubblico, è molto improbabile che tu possa utilizzarlo senza l'avvallo, la collaborazioe o l'interessamento degli autori. Se il codice sorgente (python) del programma fosse disponibile, probabilmente, potresti utilizzarlo senza particolari difficoltà.
Ultima modifica di Aki il 14/10/2014, 21:37, modificato 1 volta in totale.
Aki
Global Moderator
Global Moderator
 
Messaggi: 8297
Iscritto il: 27/12/2007, 16:59

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 14/10/2014, 21:23

Però su segnalazione di mirko.pagliai sappiamo che a lui che ha la versione testing sempre a 64 bit il programma parte...
potrei decommentare tutte le linee del mio source.list ed aggiungere quelle della testing per provare senza grossi problemi?
Per poi decidere se rimanere in testing o ripristinare stable facendo l'operazione inversa?
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda Aki » 14/10/2014, 21:34

luka ha scritto:potrei decommentare tutte le linee del mio source.list ed aggiungere quelle della testing per provare senza grossi problemi? Per poi decidere se rimanere in testing o ripristinare stable facendo l'operazione inversa?

Il passaggio da stabile a testing è irreversibile.
Aki
Global Moderator
Global Moderator
 
Messaggi: 8297
Iscritto il: 27/12/2007, 16:59

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 14/10/2014, 21:42

Però avrei software più aggiornato oltre al funzionamento del programma in questione...
Non vorrei approfittare della tua cortesia..ma come mai l'aver aggiunto le librerie per 32 bit ed averle subito rimosse mi ha disinstallato 2 programmi?? come mai se provo a rimuovere rithmbox (che non uso) mi disinstalla anche gnome (l'intero desktop) cosa che ovviamente non ho fatto..
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda Aki » 14/10/2014, 21:49

luka ha scritto: come mai l'aver aggiunto le librerie per 32 bit ed averle subito rimosse mi ha disinstallato 2 programmi?

Questo non ha a che vedere con il programma in oggetto: apri una discussione specifica.
Aki
Global Moderator
Global Moderator
 
Messaggi: 8297
Iscritto il: 27/12/2007, 16:59

Re: Xdccdownloader solo per Ubuntu??

Messaggioda mirko.pagliai » 15/10/2014, 7:58

luka ha scritto:Però avrei software più aggiornato oltre al funzionamento del programma in questione...

È una scelta personale, non possiamo dirti noi.

luka ha scritto:Non vorrei approfittare della tua cortesia..ma come mai l'aver aggiunto le librerie per 32 bit ed averle subito rimosse mi ha disinstallato 2 programmi??

Evidentemente perché alcune di quelle librerie erano già installate precedentemente, come dipendenza di quei due programmi (non le hai installate tutte ore, con il comando che hai dato).
Apri un'altra discussione e riporta l'output, nessun problema.
Prova SSMP: i tuoi file multimediali accessibili da tutti i tuoi dispositivi! [sito | topic sul forum]

www.mirkopagliai.it

Ubuntu è un'antica parola africana che significa "Non so installare Debian" (cit.)
Avatar utente
mirko.pagliai
Administrator
Administrator
 
Messaggi: 4102
Iscritto il: 15/03/2010, 23:46

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 15/10/2014, 12:45

Va bene, ringrazio entrambi per l'aiuto, credo passero a testing spero di non avere problemi.
Per l'altra questione apriró una discussione separata.ciao
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda marcomg » 15/10/2014, 15:04

Fai un backup e vivi sereno ;D
Windows is what you open when you want fresh air from outside.
Avatar utente
marcomg
Hero Member
Hero Member
 
Messaggi: 5591
Iscritto il: 22/08/2011, 18:54

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 15/10/2014, 17:24

backup di cosa scusa?
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

Re: Xdccdownloader solo per Ubuntu??

Messaggioda marcomg » 15/10/2014, 17:42

Dei tuoi dati e delle configurazioni importanti. Rischi non poter più avviare il sistema (situazione improbabile, ma vale la legge della sfiga ;))
Windows is what you open when you want fresh air from outside.
Avatar utente
marcomg
Hero Member
Hero Member
 
Messaggi: 5591
Iscritto il: 22/08/2011, 18:54

Re: Xdccdownloader solo per Ubuntu??

Messaggioda luka » 15/10/2014, 18:05

Mi sai dire oltre al backup quali accortezze devo avere perchè tutto fili liscio?
luka
Full Member
Full Member
 
Messaggi: 191
Iscritto il: 22/12/2010, 17:42

PrecedenteProssimo

Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite